Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# CORBA::UnknownUserException Class Reference

UnknownUserException. More...

`#include <Unknown_User_Exception.h>`

Inheritance diagram for CORBA::UnknownUserException:

[legend]
Collaboration diagram for CORBA::UnknownUserException:

[legend]
List of all members.

## Public Member Functions
| UnknownUserException (void)
| Constructor.
| UnknownUserException (CORBA::Any &exception)
| Constructor.
| UnknownUserException (const UnknownUserException &e)
| Copy constructor.
virtual | ~UnknownUserException (void)
| Destructor.
virtual void | _raise (void) const
| To throw an UnknownUserException of this type.
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _tao_encode (TAO_OutputCDR &cdr) const
virtual void | _tao_decode (TAO_InputCDR &cdr)
virtual CORBA::TypeCode_ptr | _tao_type (void) const
| This class has a specific typecode.
## Static Public Member Functions
UnknownUserException * | _downcast (CORBA::Exception *ex)
| Narrow to an UnknowUserException.
UnknownUserException const * | _downcast (CORBA::Exception const *ex)
## Public Attributes
CORBA::Any &exception | void
| Return the any containing the user exception.
## Private Attributes
CORBA::Any * | exception_
| Holder for the actual exception.

## Detailed Description

UnknownUserException.

When user exceptions are received by a DII invocation the ORB is unable to create the exception with the right dynamic type; to workaround this problem it throws a `CORBA::UnknownUserException` that contains the exception inside an Any.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA::UnknownUserException::UnknownUserException | ( | void |  | ) |

| Constructor.

CORBA::UnknownUserException::UnknownUserException | ( | CORBA::Any & | exception | ) |

| Constructor.

CORBA::UnknownUserException::UnknownUserException | ( | const UnknownUserException & | e | ) |

| Copy constructor.

CORBA::UnknownUserException::~UnknownUserException | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

CORBA::UnknownUserException const * CORBA::UnknownUserException::_downcast | ( | CORBA::Exception const * | ex | ) | `[static]`

| Reimplemented from CORBA::UserException.

CORBA::UnknownUserException * CORBA::UnknownUserException::_downcast | ( | CORBA::Exception * | ex | ) | `[static]`

| Narrow to an UnknowUserException. Reimplemented from CORBA::UserException.

void CORBA::UnknownUserException::_raise | ( | void |  | ) | const`[virtual]`

| To throw an UnknownUserException of this type. Implements CORBA::UserException.

void CORBA::UnknownUserException::_tao_decode | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

| Implements CORBA::Exception.

CORBA::Exception * CORBA::UnknownUserException::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void CORBA::UnknownUserException::_tao_encode | ( | TAO_OutputCDR & | cdr | ) | const`[virtual]`

| Implements CORBA::Exception.

CORBA::TypeCode_ptr CORBA::UnknownUserException::_tao_type | ( | void |  | ) | const`[virtual]`

| This class has a specific typecode. Reimplemented from CORBA::UserException.

## Member Data Documentation

CORBA::Any* CORBA::UnknownUserException::exception_`[private]`

| Holder for the actual exception.

CORBA::Any& exception CORBA::UnknownUserException::void

| Return the any containing the user exception.

The documentation for this class was generated from the following files:

- Unknown_User_Exception.h
- Unknown_User_Exception.cpp